Last Comment Bug 1105386 - Page doesn't load/render if the mouse is not moving
: Page doesn't load/render if the mouse is not moving
Status: NEW
tpi:+
: regression
Product: Core
Classification: Components
Component: Widget: Win32 (show other bugs)
: Trunk
: x86_64 Windows 7
P2 normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Jim Mathies [:jimm]
Mentors:
https://support.mozilla.org/en-US/for...
: 1108982 (view as bug list)
Depends on: 933733 1094086
Blocks: 896896 912521 937306
  Show dependency treegraph
 
Reported: 2014-11-26 09:57 PST by Anthony Hughes (:ashughes) [GFX][QA][Mentor]
Modified: 2016-08-04 21:46 PDT (History)
51 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
wontfix
affected
affected


Attachments
Anti-Malware quarantine report (173.52 KB, text/plain)
2015-06-03 18:17 PDT, John
speedy: feedback+
Details

Description User image Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2014-11-26 09:57:31 PST
+++ This bug was initially created as a clone of Bug #933733 +++

User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:25.0) Gecko/20100101 Firefox/25.0 (Beta/Release)
Build ID: 20131025151332

Steps to reproduce:

Click on link to open a new web page. Don't move mouse.


Actual results:

Page doesn't load.


Expected results:

Page should have loaded.

Page will only load when mouse is moving.

Please note that I am unable to replicate this bug on my own system. I've seen 3 separate reports of this issue in the SUMO English forum and I'm told that there are others in the Italian specific support forum.

https://support.mozilla.org/en-US/questions/975941
https://support.mozilla.org/en-US/questions/976034
https://support.mozilla.org/en-US/questions/976030

Users have tried Safe Mode and Firefox Reset but the bug persists.

Of particular note is Emanuel Hoogeveen's comment (bug 933733 comment 173):
> I can indeed reproduce this on a fresh install of Windows 7 x64 (fully
> updated), with Firefox Nightly and Shrink Pic [1] on my VM. Nightly seems to
> hang while pictures are being loaded until I move the mouse.
> 
> [1] http://www.onthegosoft.com/shrink_pic.htm

This gives Engineering a case worth debugging to see what might be happening in Firefox code.
Comment 1 User image Kell-e 2014-12-01 16:37:04 PST
Unistalled Adobe Flash Player 15 plugin and Adobe Active X plugin. 
 
FF behavior back to normal.  I should have uninstalled them separately and tested :(

This is on a 64-bit Win7 machine.  I had originally said 32-bit.
Comment 2 User image :Gijs 2014-12-11 05:50:32 PST
*** Bug 1108982 has been marked as a duplicate of this bug. ***
Comment 4 User image Pedddz 2015-02-04 04:28:39 PST
This has been present in every version since 32.0.3. 
Im on 35.0.1 now and still have to keep reverting back to 32.0.3 just so I can use the internet unhindered. 

Ironically im using internet explorer to file this report and it works fine.

Ive got a toshiba satellite with intel core i3 - 3120M CPU @ 2.50GHz, 64-bit with windows 7 service pack 1.

Ive tried:

Removing malware with various different applications.
Disabling all plugins.
Uninstalling VLC player, Flash player 16, Active X, Java update 25, adobe reader.

Im done with Firefox until this is fixed because using V32.0.3 forever just isnt going to be safe or satisfactory.
If you need any other information about my setup that may help find the source of this problem then dont hesitate to ask. 
Until then 'Google Chrome' is my friend.
Pedddz
Comment 5 User image John 2015-02-04 18:03:01 PST Comment hidden (me-too)
Comment 6 User image Milan Sreckovic [:milan] 2015-02-05 09:55:11 PST
Yeah, we were expecting this (finally) fixed in 35 by the bug 937306.  It's pretty clear that isn't the case (as 35 released before January 15th, so you would have seen it by now.)  This issue has had a complicated life, starting in 25, and coming back for complicated reasons.

Pedddz - 64-bit machine, but 32-bit Firefox?
Comment 7 User image Emanuel Hoogeveen [:ehoogeveen] 2015-02-05 11:27:53 PST
As I mentioned in bug 1094086, I can reproduce this by installing Shrink Pic 1.8.0 on a fresh, updated Windows 7 x64 VM with a fresh profile of the latest Nightly. Many things stop painting unless I move the mouse, including just loading Google and the progress bar of an in-progress download. 64-bit Nightly is *not* affected, possibly because Shrink Pic is a 32-bit process.
Comment 8 User image Jim Mathies [:jimm] 2015-02-05 11:36:10 PST
(In reply to Emanuel Hoogeveen [:ehoogeveen] from comment #7)
> As I mentioned in bug 1094086, I can reproduce this by installing Shrink Pic
> 1.8.0 on a fresh, updated Windows 7 x64 VM with a fresh profile of the
> latest Nightly. Many things stop painting unless I move the mouse, including
> just loading Google and the progress bar of an in-progress download. 64-bit
> Nightly is *not* affected, possibly because Shrink Pic is a 32-bit process.

What is the exact str here? I just tried this on my win7 system but didn't reproduce with that app running in the tray.
Comment 9 User image Emanuel Hoogeveen [:ehoogeveen] 2015-02-05 11:47:48 PST
Interesting. I just open up Nightly (32-bit), type www.google.com into the address bar and press enter. This then gets stuck while Connecting after a second or two, and makes further progress only when I use the mouse. Similarly, hovering over an in-progress download (say, downloading 64-bit Nightly from the ftp) by clicking on the arrow, doesn't refresh unless I move the mouse. I think the download still makes progress in the background though.

This is in VirtualBox 4.3.20 with the Guest Additions installed, on Windows 7 x64 with SP1 and all the latest updates. about:support shows "GPU Accelerated Windows	0/1 Basic (OMTC) Blocked for your graphics card because of unresolved driver issues.", in case that plays a role. I haven't tried it outside a VM. A user reported that Shrink Pic caused this problem, and I doubt they were running a VM, but I don't know if they were getting hardware acceleration.
Comment 10 User image Emanuel Hoogeveen [:ehoogeveen] 2015-02-05 11:49:43 PST
Oh, and I should mention that this VM is assigned 4 cores (all the physical cores of my CPU). I didn't modify any of the settings of Shrink Pic after installing it.
Comment 11 User image Jim Mathies [:jimm] 2015-02-05 12:27:50 PST
(In reply to Emanuel Hoogeveen [:ehoogeveen] from comment #9)
> Interesting. I just open up Nightly (32-bit), type www.google.com into the
> address bar and press enter. This then gets stuck while Connecting after a
> second or two, and makes further progress only when I use the mouse.
> Similarly, hovering over an in-progress download (say, downloading 64-bit
> Nightly from the ftp) by clicking on the arrow, doesn't refresh unless I
> move the mouse. I think the download still makes progress in the background
> though.
> 
> This is in VirtualBox 4.3.20 with the Guest Additions installed, on Windows
> 7 x64 with SP1 and all the latest updates. about:support shows "GPU
> Accelerated Windows	0/1 Basic (OMTC) Blocked for your graphics card because
> of unresolved driver issues.", in case that plays a role. I haven't tried it
> outside a VM. A user reported that Shrink Pic caused this problem, and I
> doubt they were running a VM, but I don't know if they were getting hardware
> acceleration.

Thanks for the detail, I'll try to set this up. What state is that tiny pic app in when you reproduce?
Comment 12 User image Emanuel Hoogeveen [:ehoogeveen] 2015-02-05 12:32:09 PST
(In reply to Jim Mathies [:jimm] from comment #11)
> Thanks for the detail, I'll try to set this up. What state is that tiny pic
> app in when you reproduce?

Running, with its icon showing in the system tray. I cannot reproduce into its settings and uncheck 'Enable photo compression', which does the same thing as right clicking the tray icon and clicking 'Enable' to uncheck it.
Comment 13 User image Emanuel Hoogeveen [:ehoogeveen] 2015-02-05 12:32:44 PST
Ack, that got a bit mangled:

I cannot reproduce if I go into its settings and uncheck 'Enable photo compression', which does the same thing as right clicking the tray icon and clicking 'Enable' to uncheck it.
Comment 14 User image Milan Sreckovic [:milan] 2015-02-09 18:48:37 PST
Aaron's comment off-line suggests a possible connection with sandboxed Flash usage of WM_MOUSEFIRST and WM_MOUSELAST with this.  Something Adobe would need to fix, but perhaps there's a way for us to work around it.  Stay tuned.
Comment 15 User image Vladan Djeric (:vladan) 2015-02-11 18:21:00 PST
Flash protected mode has been disabled by default on beta:

https://quality.mozilla.org/2015/01/disabling-protected-mode-in-firefox-36-beta/

Can we somehow check if that fixes this bug?
Comment 16 User image Benjamin Smedberg [:bsmedberg] 2015-02-12 06:42:49 PST
That is back off by default as of beta9, but if you are running beta or newer you can also set the pref dom.ipc.plugins.flash.disable-protected-mode;true
Comment 17 User image Milan Sreckovic [:milan] 2015-02-23 10:22:03 PST
Aaron, any thoughts on the stuff you mentioned related to WM_MOUSEFIRST etc?
Comment 18 User image Aaron Klotz [:aklotz] 2015-02-27 13:03:11 PST
Been busy on a bunch of plugin stuff, but I'm looking into this now.
Comment 19 User image Aaron Klotz [:aklotz] 2015-03-13 14:57:13 PDT
I've tried reproducing the Shrink Pic problems and have not been able to, however I did notice that it is injecting a DLL system-wide. From dumping the binaries' imports, it is doing this via SetWindowsHookEx.
Comment 20 User image John 2015-05-13 09:24:21 PDT
any suggestions on what else can be done besides buying a new computer?  this is driving me nuts and I keep waiting for a fix. it's painful at work dealing with this.
Comment 21 User image Emanuel Hoogeveen [:ehoogeveen] 2015-05-13 09:28:27 PDT
While work on the issue has unfortunately stalled, everything seems to indicate that this happens due to a bad interaction with some software. Shrink Pic seems to cause it, and some malware can be responsible as well. I suggest doing a malware scan, and if that doesn't help, looking at the active processes on your system and trying to uninstall them one by one. I know the second option isn't great, but with no one working on this it's your best bet.
Comment 22 User image Jim Mathies [:jimm] 2015-05-13 09:57:18 PDT
Triggering a crash and posting the crash link here might help, we can take a look at your module list.

https://github.com/luser/crashme
Comment 23 User image John 2015-06-03 09:09:26 PDT
ran Anti-Malware and it found threats. Once removed Firefox stopped freezing up.  Should have done this long ago.  Thank you.  (FYI - it appears to have been caused by Mindspark.A)
Comment 24 User image Aaron Klotz [:aklotz] 2015-06-03 13:16:33 PDT
John, do you know what exactly was removed? Was it a toolbar or something else?
Comment 25 User image John 2015-06-03 18:14:26 PDT
It was not a toolbar.  I've been using Microsoft Security Essentials and it obviously didn't protect me.  When I ran Anti-Malware it found a thousand+ lines.

I'll add an attachment of the quarantine summary report in .txt file.
Comment 26 User image John 2015-06-03 18:17:10 PDT
Created attachment 8615017 [details]
Anti-Malware quarantine report

quarantined files from Maleware Anti-Malware bytes.  Running this utility gave me my FF browser back!!
Comment 27 User image JohnW 2015-07-24 18:21:24 PDT
I have been having same problem for past 4-5 mos.  Probably since upgrading to 33.0 ...   I recently found that if I open an initial browser session from PC Matic then all subsequent browser sessions will work as well.  But after closing all Mozilla sessions and reopening as usual the sessions hang.  Maybe this will give someone a hint at what is going on.  If I hadn't stumbled on this workaround I would be using IE for my Internet browsing....  John
Comment 28 User image Loic 2015-07-24 19:54:01 PDT
(In reply to JohnW from comment #27)
> I have been having same problem for past 4-5 mos.  Probably since upgrading
> to 33.0 ...   I recently found that if I open an initial browser session
> from PC Matic then all subsequent browser sessions will work as well.  But
> after closing all Mozilla sessions and reopening as usual the sessions hang.
> Maybe this will give someone a hint at what is going on.  If I hadn't
> stumbled on this workaround I would be using IE for my Internet browsing....
> John

You should run antimalware applications, many users who reported this issue were infected by malwares.
FAQ: https://support.mozilla.org/en-US/kb/troubleshoot-firefox-issues-caused-malware
Comment 29 User image Jim Mathies [:jimm] 2016-08-04 12:41:51 PDT
We still don't have good str on this. Dropping into P2 to keep it on the radar.
Comment 30 User image Emanuel Hoogeveen [:ehoogeveen] 2016-08-04 13:20:48 PDT
I can still reproduce this in my Windows 7 VM on the latest 32-bit Nightly in a fresh profile with Shrink Pic running in the background, regardless of whether e10s is enabled. Just loading up the browser reproduced it once, and loading a big website like www.microsoft.com, I see it stalling whenever I haven't moved the cursor for around a second.
Comment 31 User image John 2016-08-04 21:46:19 PDT
I suffered through this for awhile and it drives you nuts.  Finally, I installed Malwarebytes Anti-Malware and it cured the proble.

Note You need to log in before you can comment on or make changes to this bug.